# Uses of Class
java.lang.Boolean

Packages that use Boolean
Package
Description
com.sun.nio.sctp
A Java API for Stream Control Transport Protocol.
java.awt.font
Provides classes and interface relating to fonts.
java.lang
Provides classes that are fundamental to the design of the Java programming language.
java.lang.constant
Classes and interfaces to represent nominal descriptors for run-time entities such as classes or method handles, and classfile entities such as constant pool entries or `invokedynamic` call sites.
java.net
Provides the classes for implementing networking applications.
java.time.format
Provides classes to print and parse dates and times.
java.util
Contains the collections framework, some internationalization support classes, a service loader, properties, random number generation, string parsing and scanning classes, base64 encoding and decoding, a bit array, and several miscellaneous utility classes.
java.util.concurrent
Utility classes commonly useful in concurrent programming.
java.util.stream
Classes to support functional-style operations on streams of elements, such as map-reduce transformations on collections.
javax.management
Provides the core classes for the Java Management Extensions.
javax.management.loading
Provides the classes which implement advanced dynamic loading.
javax.management.modelmbean
Provides the definition of the ModelMBean classes.
javax.management.monitor
Provides the definition of the monitor classes.
javax.management.openmbean
Provides the open data types and Open MBean descriptor classes.
javax.management.relation
Provides the definition of the Relation Service.
javax.management.remote
Interfaces for remote access to JMX MBean servers.
javax.management.timer
Provides the definition of the Timer MBean.
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
javax.swing.filechooser
Contains classes and interfaces used by the `JFileChooser` component.
javax.swing.plaf.basic
Provides user interface objects built according to the Basic look and feel.
javax.tools
Provides interfaces for tools which can be invoked from a program, for example, compilers.
jdk.net
Platform specific socket options for the `java.net` and `java.nio.channels` socket classes.

## Uses of Boolean in com.sun.nio.sctp

Fields in com.sun.nio.sctp with type parameters of type Boolean
Modifier and Type
Field
Description
`static final SctpSocketOption<Boolean>`
SctpStandardSocketOptions.`SCTP_DISABLE_FRAGMENTS`
Enables or disables message fragmentation.
`static final SctpSocketOption<Boolean>`
SctpStandardSocketOptions.`SCTP_EXPLICIT_COMPLETE`
Enables or disables explicit message completion.
`static final SctpSocketOption<Boolean>`
SctpStandardSocketOptions.`SCTP_NODELAY`
Enables or disables a Nagle-like algorithm.

## Uses of Boolean in java.awt.font

Fields in java.awt.font declared as Boolean
Modifier and Type
Field
Description
`static final Boolean`
TextAttribute.`RUN_DIRECTION_LTR`
Left-to-right run direction.
`static final Boolean`
TextAttribute.`RUN_DIRECTION_RTL`
Right-to-left run direction.
`static final Boolean`
TextAttribute.`STRIKETHROUGH_ON`
A single strikethrough.
`static final Boolean`
TextAttribute.`SWAP_COLORS_ON`
Swap foreground and background.

## Uses of Boolean in java.lang

Fields in java.lang declared as Boolean
Modifier and Type
Field
Description
`static final Boolean`
Boolean.`FALSE`
The `Boolean` object corresponding to the primitive value `false`.
`static final Boolean`
Boolean.`TRUE`
The `Boolean` object corresponding to the primitive value `true`.
Fields in java.lang with type parameters of type Boolean
Modifier and Type
Field
Description
`static final Class<Boolean>`
Boolean.`TYPE`
The Class object representing the primitive type boolean.
Methods in java.lang that return Boolean
Modifier and Type
Method
Description
`static Boolean`
Boolean.`valueOf(boolean b)`
Returns a `Boolean` instance representing the specified `boolean` value.
`static Boolean`
Boolean.`valueOf(String s)`
Returns a `Boolean` with a value represented by the specified string.
Methods in java.lang that return types with arguments of type Boolean
Modifier and Type
Method
Description
`Optional<DynamicConstantDesc<Boolean>>`
Boolean.`describeConstable()`
Returns an `Optional` containing the nominal descriptor for this instance.
Methods in java.lang with parameters of type Boolean
Modifier and Type
Method
Description
`int`
Boolean.`compareTo(Boolean b)`
Compares this `Boolean` instance with another.

## Uses of Boolean in java.lang.constant

Fields in java.lang.constant with type parameters of type Boolean
Modifier and Type
Field
Description
`static final DynamicConstantDesc<Boolean>`
ConstantDescs.`FALSE`
Nominal descriptor representing the constant FALSE
`static final DynamicConstantDesc<Boolean>`
ConstantDescs.`TRUE`
Nominal descriptor representing the constant TRUE

## Uses of Boolean in java.net

Fields in java.net with type parameters of type Boolean
Modifier and Type
Field
Description
`static final SocketOption<Boolean>`
StandardSocketOptions.`IP_MULTICAST_LOOP`
Loopback for Internet Protocol (IP) multicast datagrams.
`static final SocketOption<Boolean>`
StandardSocketOptions.`SO_BROADCAST`
Allow transmission of broadcast datagrams.
`static final SocketOption<Boolean>`
StandardSocketOptions.`SO_KEEPALIVE`
Keep connection alive.
`static final SocketOption<Boolean>`
StandardSocketOptions.`SO_REUSEADDR`
Re-use address.
`static final SocketOption<Boolean>`
StandardSocketOptions.`SO_REUSEPORT`
Re-use port.
`static final SocketOption<Boolean>`
StandardSocketOptions.`TCP_NODELAY`
Disable the Nagle algorithm.

## Uses of Boolean in java.time.format

Methods in java.time.format that return types with arguments of type Boolean
Modifier and Type
Method
Description
`static final TemporalQuery<Boolean>`
DateTimeFormatter.`parsedLeapSecond()`
A query that provides access to whether a leap-second was parsed.

## Uses of Boolean in java.util

Method parameters in java.util with type arguments of type Boolean
Modifier and Type
Method
Description
`static <E> Set<E>`
Collections.`newSetFromMap(Map<E,Boolean> map)`
Returns a set backed by the specified map.

## Uses of Boolean in java.util.concurrent

Methods in java.util.concurrent that return types with arguments of type Boolean
Modifier and Type
Method
Description
`static <K> ConcurrentHashMap.KeySetView<K,Boolean>`
ConcurrentHashMap.`newKeySet()`
Creates a new `Set` backed by a ConcurrentHashMap from the given type to `Boolean.TRUE`.
`static <K> ConcurrentHashMap.KeySetView<K,Boolean>`
ConcurrentHashMap.`newKeySet(int initialCapacity)`
Creates a new `Set` backed by a ConcurrentHashMap from the given type to `Boolean.TRUE`.

## Uses of Boolean in java.util.stream

Methods in java.util.stream that return types with arguments of type Boolean
Modifier and Type
Method
Description
`static <T> Collector<T,?,Map<Boolean,List<T>>>`
Collectors.`partitioningBy(Predicate<? super T> predicate)`
Returns a `Collector` which partitions the input elements according to a `Predicate`, and organizes them into a `Map<Boolean, List<T>>`.
`static <T, D, A> Collector<T,?,Map<Boolean,D>>`
Collectors.`partitioningBy(Predicate<? super T> predicate, Collector<? super T,A,D> downstream)`
Returns a `Collector` which partitions the input elements according to a `Predicate`, reduces the values in each partition according to another `Collector`, and organizes them into a `Map<Boolean, D>` whose values are the result of the downstream reduction.

## Uses of Boolean in javax.management

Methods in javax.management with parameters of type Boolean
Modifier and Type
Method
Description
`void`
MBeanRegistration.`postRegister(Boolean registrationDone)`
Allows the MBean to perform any operations needed after having been registered in the MBean server or after the registration has failed.
`void`
StandardMBean.`postRegister(Boolean registrationDone)`
Allows the MBean to perform any operations needed after having been registered in the MBean server or after the registration has failed.

## Uses of Boolean in javax.management.loading

Methods in javax.management.loading with parameters of type Boolean
Modifier and Type
Method
Description
`void`
MLet.`postRegister(Boolean registrationDone)`
Allows the m-let to perform any operations needed after having been registered in the MBean server or after the registration has failed.

## Uses of Boolean in javax.management.modelmbean

Methods in javax.management.modelmbean with parameters of type Boolean
Modifier and Type
Method
Description
`void`
RequiredModelMBean.`postRegister(Boolean registrationDone)`
Allows the MBean to perform any operations needed after having been registered in the MBean server or after the registration has failed.

## Uses of Boolean in javax.management.monitor

Methods in javax.management.monitor with parameters of type Boolean
Modifier and Type
Method
Description
`void`
Monitor.`postRegister(Boolean registrationDone)`
Allows the monitor MBean to perform any operations needed after having been registered in the MBean server or after the registration has failed.

## Uses of Boolean in javax.management.openmbean

Fields in javax.management.openmbean with type parameters of type Boolean
Modifier and Type
Field
Description
`static final SimpleType<Boolean>`
SimpleType.`BOOLEAN`
The `SimpleType` instance describing values whose Java class name is `java.lang.Boolean`.

## Uses of Boolean in javax.management.relation

Methods in javax.management.relation that return Boolean
Modifier and Type
Method
Description
`Boolean`
RelationService.`hasRelation(String relationId)`
Checks if there is a relation identified in Relation Service with given relation id.
`Boolean`
RelationServiceMBean.`hasRelation(String relationId)`
Checks if there is a relation identified in Relation Service with given relation id.
`Boolean`
RelationSupport.`isInRelationService()`
Returns an internal flag specifying if the object is still handled by the Relation Service.
`Boolean`
RelationSupportMBean.`isInRelationService()`
Returns an internal flag specifying if the object is still handled by the Relation Service.
Methods in javax.management.relation with parameters of type Boolean
Modifier and Type
Method
Description
`Integer`
RelationService.`checkRoleWriting(Role role, String relationTypeName, Boolean initFlag)`
Checks if given Role can be set in a relation of given type.
`Integer`
RelationServiceMBean.`checkRoleWriting(Role role, String relationTypeName, Boolean initFlag)`
Checks if given Role can be set in a relation of given type.
`void`
RelationService.`postRegister(Boolean registrationDone)`
`void`
RelationSupport.`postRegister(Boolean registrationDone)`
`void`
RelationSupport.`setRelationServiceManagementFlag(Boolean flag)`
`void`
RelationSupportMBean.`setRelationServiceManagementFlag(Boolean flag)`
Specifies whether this relation is handled by the Relation Service.

## Uses of Boolean in javax.management.remote

Methods in javax.management.remote with parameters of type Boolean
Modifier and Type
Method
Description
`void`
JMXConnectorServer.`postRegister(Boolean registrationDone)`

## Uses of Boolean in javax.management.timer

Methods in javax.management.timer that return Boolean
Modifier and Type
Method
Description
`Boolean`
Timer.`getFixedRate(Integer id)`
Gets a copy of the flag indicating whether a periodic notification is executed at fixed-delay or at fixed-rate.
`Boolean`
TimerMBean.`getFixedRate(Integer id)`
Gets a copy of the flag indicating whether a periodic notification is executed at fixed-delay or at fixed-rate.
Methods in javax.management.timer with parameters of type Boolean
Modifier and Type
Method
Description
`void`
Timer.`postRegister(Boolean registrationDone)`
Allows the timer MBean to perform any operations needed after having been registered in the MBean server or after the registration has failed.

## Uses of Boolean in javax.swing

Methods in javax.swing with parameters of type Boolean
Modifier and Type
Method
Description
`void`
GroupLayout.`setHonorsVisibility(Component component, Boolean honorsVisibility)`
Sets whether the component's visibility is considered for sizing and positioning.
`protected void`
DefaultDesktopManager.`setWasIcon(JInternalFrame f, Boolean value)`
Sets that the component has been iconized and the bounds of the `desktopIcon` are valid.

## Uses of Boolean in javax.swing.filechooser

Methods in javax.swing.filechooser that return Boolean
Modifier and Type
Method
Description
`Boolean`
FileSystemView.`isTraversable(File f)`
Returns true if the file (directory) can be visited.
`Boolean`
FileView.`isTraversable(File f)`
Whether the directory is traversable or not.

## Uses of Boolean in javax.swing.plaf.basic

Fields in javax.swing.plaf.basic with type parameters of type Boolean
Modifier and Type
Field
Description
`protected Hashtable<TreePath,Boolean>`
BasicTreeUI.`drawingCache`
Used for minimizing the drawing of vertical lines.
Methods in javax.swing.plaf.basic that return Boolean
Modifier and Type
Method
Description
`Boolean`
BasicFileChooserUI.BasicFileView.`isHidden(File f)`
Returns whether or not a file is hidden.

## Uses of Boolean in javax.tools

Methods in javax.tools that return Boolean
Modifier and Type
Method
Description
`Boolean`
DocumentationTool.DocumentationTask.`call()`
Performs this documentation task.
`Boolean`
JavaCompiler.CompilationTask.`call()`
Performs this compilation task.

## Uses of Boolean in jdk.net

Fields in jdk.net with type parameters of type Boolean
Modifier and Type
Field
Description
`static final SocketOption<Boolean>`
ExtendedSocketOptions.`TCP_QUICKACK`
Disable Delayed Acknowledgements.